Bug 460145 - /var/lib/setroubleshoot/email_alert_recipients strange place for configuration
/var/lib/setroubleshoot/email_alert_recipients strange place for configuration
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-26 09:57 EDT by David Juran
Modified: 2008-09-03 10:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 10:03:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2008-08-26 09:57:06 EDT
Description of problem:
In the default /etc/setroubleshoot/setroubleshoot.cfg it's suggested that /var/lib/setroubleshoot/email_alert_recipients should be used for specifying recipients of email alerts. IMHO, this file should 
1) reside in /etc/setroubleshoot
2) Be marked as %config(noreplace)
3) Contain some (commented out) examples

Version-Release number of selected component (if applicable):
setroubleshoot-2.0.8-2.fc9

How reproducible:
Every time

Steps to Reproduce:
1. rpm -qlc |grep email_alert_recipients
Comment 1 John Dennis 2008-08-26 11:09:23 EDT
email_alert_recipients is not a config file, it's application data and it's directly written by the application while it's running. According to the FHS such files belong in /var/lib/<app_name>, not /etc.
Comment 2 Daniel Walsh 2008-09-02 16:49:33 EDT
David,

/var/lib/setroubleshoot/email_alert_recipients

Can be modified from the gui

> sealert -b

File->Edit Email Alert List
Comment 3 David Juran 2008-09-03 10:03:00 EDT
Thanks for the pointers, didn't even check the GUI. Closing this one, sorry for the hassle.

Note You need to log in before you can comment on or make changes to this bug.